# volumeSliceChart

#### new volumeSliceChart(selection)

Constructor

Source:
  - chart/volumeSliceChart.js, line 58

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) debug(_v) → {*}

Debug Getter / Setter

Source:
  - chart/volumeSliceChart.js, line 260

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `boolean` | Show debug log and stats. True/False.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - chart/volumeSliceChart.js, line 188

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) height(_v) → {*}

Height Getter / Setter

Source:
  - chart/volumeSliceChart.js, line 140

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | X3D canvas height in px.

##### Returns:

Type:
  `*`

#### (static) imageUrl(_v) → {*}

Image URL Getter / Setter

Source:
  - chart/volumeSliceChart.js, line 200

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Image URL path.

##### Returns:

Type:
  `*`

#### (static) numberOfSlices(_v) → {*}

Number of Slices Getter / Setter

Source:
  - chart/volumeSliceChart.js, line 212

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | Total number of slices.

##### Returns:

Type:
  `*`

#### (static) slicesOverX(_v) → {*}

X Slices Getter / Setter

Source:
  - chart/volumeSliceChart.js, line 224

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | Number of slices over X axis.

##### Returns:

Type:
  `*`

#### (static) slicesOverY(_v) → {*}

Y Slices Getter / Setter

Source:
  - chart/volumeSliceChart.js, line 236

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | Number of slices over Y axis.

##### Returns:

Type:
  `*`

#### (static) volumeStyle(_v) → {*}

Volume Style Getter / Setter

Source:
  - chart/volumeSliceChart.js, line 248

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Volume render style (either "MPRVolume" or "OpacityMap")

##### Returns:

Type:
  `*`

#### (static) width(_v) → {*}

Width Getter / Setter

Source:
  - chart/volumeSliceChart.js, line 128

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | X3D canvas width in px.

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - chart/volumeSliceChart.js, line 152

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - chart/volumeSliceChart.js, line 164

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - chart/volumeSliceChart.js, line 176

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`